vn.py官网
你的开源社区量化交易平台
Member
avatar
加入于:
帖子: 26
声望: 0

具体根据vnpy公众号-社区精华3操作
操作系统为Ubuntu Server 18.04.1 LTS 64bit
在进入miniconda下载时发现为python3.8版本,安装后再安装vnpy bash install.sh 对ta-lib报错。

随即删除miniconda 转而下载2018年最后一个版本python3.7 (https://repo.anaconda.com/archive/Anaconda3-2018.12-Linux-x86_64.sh)再次安装vnpy依然对ta-lib报错,报错信息如图
description

Member
avatar
加入于:
帖子: 26
声望: 0

description

Administrator
avatar
加入于:
帖子: 4487
声望: 302

这个报错是因为talib的C++代码下载编译出错了,请尝试手动运行install.sh中的命令来操作吧

Member
avatar
加入于:
帖子: 26
声望: 0

talib安装问题 已经解决,#2的图是最新的问题
description

Member
avatar
加入于:
帖子: 26
声望: 0

description

Member
avatar
加入于:
帖子: 2788
声望: 189

这个warning不影响使用的

Member
avatar
加入于:
帖子: 26
声望: 0

可是#2 提示错误 python run.py 依然提示错误

Member
avatar
加入于:
帖子: 2788
声望: 189

请贴一下报错信息

Member
avatar
加入于:
帖子: 26
声望: 0

description

description

Administrator
avatar
加入于:
帖子: 4487
声望: 302

这里开了Qt的详细提示后,看最底部一块的内容,有一连串的so加载失败,其中最后一句提到libxkbcommon-x11.so.0找不到,这个就是问题所在。

Google搜了下后,发现这个Debian包的页面:https://packages.debian.org/jessie/libxkbcommon-x11-0

然后请尝试用apt安装下试试吧,用Linux一定要学会看这些程序报错后自己排查问题,否则推荐还是用回Windows。

© 2015-2019 上海韦纳软件科技有限公司
备案服务号:沪ICP备18006526号-3

沪公网安备 31011502017034号